## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2021-08-23
version: '3.3'
services:
    linuxserver:
        container_name: duckdns
        environment:
            - PUID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
            - PGID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
            - TZ=Europe/Paris
            - SUBDOMAINS=XXXXX  # Votre subdomain duckdns sans www
            - TOKEN=XXXXX   # A récupéré sur le site de duckdns
        restart: unless-stopped
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#        labels:
#            - com.centurylinklabs.watchtower.enable=true
        image: 'ghcr.io/linuxserver/duckdns:latest'
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip       
        network_mode: duckdns_network